Fetch a Deposit
curl --request GET \
--url https://api.treasuryprime.com/apply/deposit/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.treasuryprime.com/apply/deposit/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.treasuryprime.com/apply/deposit/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ach": {
"account_type": "checking",
"last4": "2109",
"routing_number": "123456789"
},
"amount": "100.00",
"card": null,
"card_token": null,
"created_at": "2019-03-02T11:53:55Z",
"id": "adpt_01d5wcysg3vz",
"name_on_account": "George Washington",
"updated_at": "2019-03-02T11:53:55Z",
"userdata": null
}Deposit
Fetch a Deposit
GET
/
apply
/
deposit
/
{id}
Fetch a Deposit
Authorizations
basicAuthapiKey
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Unique identifier for object
Response
200 - application/json
The apply.deposit
ACH payment instructions
Show child attributes
Show child attributes
Amount of money to transfer
Pattern:
^-?[0-9]+[.][0-9][0-9]$Debit card payment instructions
Show child attributes
Show child attributes
Tokenized debit card payment instructions
Show child attributes
Show child attributes
Unique identifier for object
Name of the owner of the account providing the deposit
Arbitrary data the user can attach to the object
Was this page helpful?
⌘I